ALTER TABLE PROVISION_AGREEMENT  ADD  CONSTRAINT FK_PROVISION_AGREEMENT_ART FOREIGN KEY(PA_ID)
REFERENCES ARTEFACT (ART_ID)
ON DELETE CASCADE
;
ALTER TABLE PROVISION_AGREEMENT  ADD  CONSTRAINT FK_PROV_AGREE_STRUCT_USAGE FOREIGN KEY(SU_ID)
REFERENCES STRUCTURE_USAGE (SU_ID)
;
ALTER TABLE PROVISION_AGREEMENT  ADD  CONSTRAINT FK_PROV_AGREE_DP FOREIGN KEY(DP_ID)
REFERENCES DATAPROVIDER (DP_ID)
;
